import "./dashboard-designer.scss";
import "react-grid-layout/css/styles.css";
import "react-resizable/css/styles.css";
import "primereact/resources/themes/lara-light-indigo/theme.css";
import "primereact/resources/primereact.min.css";
import "primeicons/primeicons.css";
import 'line-awesome/dist/line-awesome/css/line-awesome.min.css';
import { Layouts } from "react-grid-layout";
import React, { RefObject } from "react";
import { OverlayPanel } from "primereact/overlaypanel";
import { WidgetComponent } from "../../types/WidgetComponent";
import { Widget } from "../../types/widget";
declare class DashboardDesigner extends React.Component<any, any> {
    moreButtonToggle: RefObject<OverlayPanel>;
    widgetButtonToggle: RefObject<OverlayPanel>;
    addWidgetButtonToggle: RefObject<OverlayPanel>;
    widgetComponents: WidgetComponent[];
    constructor(props: any);
    static layoutGridProps: {
        rowHeight: number;
        className: string;
        cols: {
            lg: number;
            md: number;
            sm: number;
            xs: number;
            xxs: number;
        };
        useCSSTransforms: boolean;
    };
    componentDidUpdate(prevState: any): void;
    private UpdatePlaceholderDimensions;
    showMsg: boolean;
    onLayoutChange(layouts: Layouts): void;
    deletePanel: (i: any) => void;
    editWidget: (widget: any) => void;
    addPanel: (newWidget: Widget) => void;
    EvaluateNewWidgetPosition(): {
        x: number;
        y: number;
    };
    SaveGrid(): void;
    hideDialog: () => void;
    reset(): void;
    setToken(): void;
    changeTitle(i: string | number): void;
    selectedWidget: any;
    addComponent(): void;
    onOkButton: (data: any) => void;
    onCancelButton: () => void;
    saveToStorage: (key: string, value: any) => void;
    getFromStorage: (key: string) => any;
    FindWidget(el: any): any;
    toggleDialog(): void;
    toggleWidget(widget: {
        id: string;
    }): void;
    getRandomInt(min: number, max: number): number;
    widgetToEdit: Widget | null;
    renderNewWidgetDialog(): JSX.Element;
    renderPageHeader(): JSX.Element;
    renderGridWidgetsPlaceholder(): JSX.Element;
    renderLayoutGrid(layout: any): JSX.Element;
    renderWidgetComponent(el: any): JSX.Element;
    render(): JSX.Element;
}
export default DashboardDesigner;
